Package com.logicaldoc.core.searchengine

# Class TagSearchOptions

java.lang.Object
com.logicaldoc.core.searchengine.SearchOptions
com.logicaldoc.core.searchengine.TagSearchOptions

All Implemented Interfaces:
  `Serializable`, `Comparable<SearchOptions>`

public class TagSearchOptions extends SearchOptions
Search options specialization for the Tag text search.

Since:
  8.9.2
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.searchengine.SearchOptions

`TYPE_FOLDERS, TYPE_FULLTEXT, TYPE_PARAMETRIC, TYPE_SEMANTIC, TYPE_TAG`

## Constructor Summary

Constructors
Constructor
Description
`TagSearchOptions()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`

### Methods inherited from class com.logicaldoc.core.searchengine.SearchOptions

`compareTo, getDescription, getExpression, getFilterIds, getFolderId, getMaxHits, getName, getPage, getParameters, getTemplate, getTenantId, getTopOperator, getTransaction, getType, getUserId, isCaseSensitive, isFulltext, isRetrieveAliases, isSearchInSubPath, read, setCaseSensitive, setDescription, setExpression, setFilterIds, setFolderId, setMaxHits, setName, setPage, setParameters, setRetrieveAliases, setSearchInSubPath, setTemplate, setTenantId, setTopOperator, setTransaction, setType, setUserId, toString, write`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TagSearchOptions

public TagSearchOptions()

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `SearchOptions`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `SearchOptions`